commit:     27cf8577e55d9b235071de97070ea60db12c5a28
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Thu Dec 22 10:41:05 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Dec 22 10:41:05 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=27cf8577

dev-python/matplotlib-venn: enabled test phase (#710)

Package-Manager: portage-2.3.3

 .../matplotlib-venn/matplotlib-venn-0.11.ebuild       | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

diff --git a/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild 
b/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
index bdb4ed2..272e5d2 100644
--- a/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
+++ b/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI="5"
+EAPI=6
 
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python2_7 python3_4 python3_5)
 
 inherit distutils-r1
 
@@ -15,10 +15,17 @@ SRC_URI="mirror://pypi/m/${PN}/${P}.zip"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
 
 RDEPEND="
        dev-python/matplotlib[${PYTHON_USEDEP}]
        dev-python/numpy[${PYTHON_USEDEP}]
-       sci-libs/scipy[${PYTHON_USEDEP}]"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+       sci-libs/scipy[${PYTHON_USEDEP}]
+       "
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+       py.test --verbose || die
+}

Reply via email to